### BEGIN BASE INFO

javax.jdo.PersistenceManagerFactoryClass=org.datanucleus.jdo.JDOPersistenceManagerFactory
datanucleus.storeManagerType=rdbms
datanucleus.PersistenceUnitName=moumiPU
datanucleus.manageRelationshipsChecks=false

datanucleus.autoCreateSchema=true
datanucleus.validateTables=true
datanucleus.validateConstraints=true
#datanucleus.identifier.case=UpperCase
javax.jdo.option.Mapping=db2

### END BASE INFO


### BEGIN DATA SOURCE INFO
# You can use JNDI data source or internal connection pool

### BEGIN JNDI DATA SOURCE INFO
#moumi.jndi.name=java:comp/env/jdbc/MoumiOB
#moumi.jndi.name=jdbc/MoumiOB
moumi.jndi.name=XA_CMCSED
#javax.jdo.option.ConnectionFactoryName=XA_CMCSED
#javax.jdo.option.ConnectionFactory2Name=XA_CMCSED
#javax.jdo.option.ConnectionFactoryName=java:comp/env/jdbc/MoumiOB
#javax.jdo.option.ConnectionFactory2Name=java:comp/env/jdbc/MoumiOB
#javax.jdo.option.ConnectionFactoryName=jdbc/MoumiOB
#javax.jdo.option.ConnectionFactory2Name=jdbc/MoumiOB
### END JNDI DATA SOURCE INFO

### BEGIN INTERNAL CONNECTION POOL

#javax.jdo.option.ConnectionDriverName=org.hsqldb.jdbcDriver
#javax.jdo.option.ConnectionURL=jdbc:hsqldb:mem:moumi
#javax.jdo.option.ConnectionUserName=sa
#javax.jdo.option.ConnectionPassword=

#javax.jdo.option.ConnectionDriverName=com.mysql.jdbc.Driver
#javax.jdo.option.ConnectionURL=jdbc:mysql://localhost:3306/moumijdo
#javax.jdo.option.ConnectionUserName=root
#javax.jdo.option.ConnectionPassword=cm1357

#javax.jdo.option.ConnectionDriverName=oracle.jdbc.driver.OracleDriver
#javax.jdo.option.ConnectionURL=jdbc:oracle:thin:@localhost:1521:xe
#javax.jdo.option.ConnectionUserName=moumijdo
#javax.jdo.option.ConnectionPassword=cm1357

javax.jdo.option.ConnectionDriverName=com.ibm.db2.jcc.DB2Driver
#javax.jdo.option.ConnectionURL=jdbc:db2://localhost:50001/CMCKWD:currentSchema=CMCDBMGR;
javax.jdo.option.ConnectionURL=jdbc:db2://112.136.170.33:45201/CMCSED:currentSchema=CMCDBMGR;
javax.jdo.option.ConnectionUserName=cmcdbmgr
javax.jdo.option.ConnectionPassword=cmcdbmgr01

### BEGIN DBCP POOL
datanucleus.ConnectionPoolingType=DBCP
### BEGIN POOLING OF CONNECTIONS
datanucleus.connectionPool.maxIdle=15
datanucleus.connectionPool.minIdle=5
datanucleus.connectionPool.maxActive=20
datanucleus.connectionPool.maxWait=60
### END POOLING OF CONNECTIONS
### BEGIN POOLING OF PREPAREDSTATEMENTS
datanucleus.connectionPool.maxStatements=50
#datanucleus.connectionPool.testSQL=SELECT 1 FROM dual
datanucleus.connectionPool.testSQL=SELECT * FROM sysibm.SYSDUMMY1
#datanucleus.connectionPool.testSQL=SELECT 1
datanucleus.connectionPool.timeBetweenEvictionRunsMillis=2400000
datanucleus.connectionPool.minEvictableIdleTimeMillis=18000000
### END POOLING OF PREPAREDSTATEMENTS
### END DBCP POOL

### END INTERNAL CONNECTION POOL


### END DATASOURCE INFO
